package com.lanyun.wanglaotou

import android.annotation.SuppressLint
import android.app.Application
import android.content.Context
import android.content.res.Configuration

import com.lanyun.net.base.NetUrl
import com.lanyun.net.base.ServiceCreator
import com.lanyun.net.widget.DataStoreUtils
import com.tencent.mmkv.MMKV

class App : Application() {
    companion object {
        @SuppressLint("StaticFieldLeak")
        lateinit var CONTEXT: Context
    }
    override fun onCreate() {
        super.onCreate()
        CONTEXT = this
        MMKV.initialize(this)
        ServiceCreator.initConfig(NetUrl.BASE_URL)
        DataStoreUtils.init(this)
    }

    override fun onConfigurationChanged(newConfig: Configuration) {
        super.onConfigurationChanged(newConfig)
    }
}